[Python-modules-team] Bug#903989: vcr.py: autopkgtest needs update for python3.7 in supported versions

Mattia Rizzolo mattia at debian.org
Mon Sep 24 14:09:30 BST 2018


Control: severity -1 serious

On Tue, Jul 17, 2018 at 10:14:59PM +0200, Paul Gevers wrote:
> Currently the python3.7 transition┬╣ is going on, which means that
> python3.7 is added to the supported python3 versions. Your package isn't
> listed on the transition package, which means it isn't on the radar for
> binNMU. However, since python3-defaults added python3.7 support, your
> autopkgtest has been failing (first because it needed a rebuild
> python-gevent, now it looks genuine). I copied the error below.
> 
> Could you please investigate? I can imagine that the real issue is that
> your package fails currently to work with python3.7 which is more
> serious.

I think so, hence I'm rising the severity of this bug.

I believe the latest upstream version 2.0.0 fixes this bug, however.
https://github.com/kevin1024/vcrpy/commit/e93060c81bef0130d0626b348ab753db50e3f8fb
https://github.com/kevin1024/vcrpy/commit/b38915a89aef77f7169fdf3aa949072050029648


-- 
regards,
                        Mattia Rizzolo

GPG Key: 66AE 2B4A FCCF 3F52 DA18  4D18 4B04 3FCD B944 4540      .''`.
more about me:  https://mapreri.org                             : :'  :
Launchpad user: https://launchpad.net/~mapreri                  `. `'`
Debian QA page: https://qa.debian.org/developer.php?login=mattia  `-
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 833 bytes
Desc: not available
URL: <http://alioth-lists.debian.net/pipermail/python-modules-team/attachments/20180924/597e888c/attachment.sig>


More information about the Python-modules-team mailing list